Furry Fury Furiously

Welcome to Beefy Fury, the site where design goes to die.

We're a site of unapologetic, over-the-top design. Because, why settle for subtle?

Check out our Beefy Behavior page for more information.

Or, if you're feeling Furiously Angry, we have a page for that too.

.beefy-fury-header { border: 4px solid #000; background: #FF69B4; padding: 20px 0 20px 20px; margin: 0; } .beefy-fury-main { background: #FFC5C5; padding: 20px 20px 20px 20px; margin: 0 0 10px 0; } .beefy-fury-footer { background: #FF69B4; padding: 20px 20px 20px 20px; margin: 0 0 20px 0; }